import { Langs } from './config';
import { HopeLangI18nConfig } from '../../types';
export declare const checkLang: (lang: string) => boolean;
/**
 * 获取语言对应路径
 *
 * @param lang 语言
 */
export declare const lang2path: (lang: string) => string;
/**
 * 获取路径对应语言
 *
 * @param path 路径
 */
export declare const path2lang: (path: string) => string;
/**
 * 获取特定语言的本地化文字
 *
 * @param lang
 */
export declare const getLocale: (lang: string) => HopeLangI18nConfig;
/** 获得默认多语言配置 */
export declare const getDefaultLocale: () => HopeLangI18nConfig;
declare const i18n: {
    checkLang: (lang: string) => boolean;
    config: {
        container: Record<string, Record<string, string>>;
    };
    langs: Langs[];
    lang2path: (lang: string) => string;
    path2lang: (path: string) => string;
    getDefaultLocale: () => HopeLangI18nConfig;
    getLocale: (lang: string) => HopeLangI18nConfig;
};
export default i18n;
